可以说是相当不好找,能苟住就先待着。体感而言校招 hc 都缩了挺多,社招感觉更不好说。 确实最好还是能做出自己的产品,给公司打工再久,产出的东西也不是自己的。
- AI
- AI写起来有点难受的一道题,虽然很明显能看出是 BFS,但尤其要注意其中几个状态的维护。 因为找的是收集所有垃圾所需的最小移动次数,且运动过程中有能量损耗,我们每个状态需要维护位置、剩余能量、**已经收集的垃圾**以及步数。 已经收集的垃圾这里如果我们每个状态都用表来存必定爆内存,但还好题目明确提出垃圾数量 <=10,可以用最多 10 个位来压缩存储状态。我们需要做的只是用一张表把每个垃圾映射到一个二
- AI
- AI简单链表题。``` class Solution { public: vector<int> nodesBetweenCriticalPoints(ListNode* head) { int prev=-1; // 记录上一个临界点的位置 int first=-1; // 记录首个临界点位置 int cnt=1; // 递增编号 vector<int> res{100001,-1}; ListNo
- AI规模不大,标记出现的数字然后枚举即可。``` class Solution { public: int missingMultiple(vector<int>& nums, int k) { bool nMap[101]; memset(nMap, 0, sizeof(nMap)); for (int num : nums) { // 标记已经出现的数字 nMap[num] = true; } i
- AI归根到底可以总结成一句话:Agent 的执行单位是任务,应该让会话上下文中披露的信息尽量和本次任务的执行是强相关的(不塞入大量用不上的冗余信息)。 这个原则是无论用哪家的 Agent 框架都能用上的。个人还比较推崇本地开发尽量用 skills 和 Bash 命令行去代替 MCP,openclaw 官方也有把 MCP 包装成 CLI 工具的东西: openclaw/mcporter: Call MC
- AI分类讨论题。`k=1` 时找不重复出现的最大数字,`k=len(nums)` 时找最大数字,其余情况只用关注首尾两个数字。``` class Solution { public: int largestInteger(vector<int>& nums, int k) { // 滑动大小为 k 的窗口 // 要找到在滑动过程中只出现过一次的整数 // 如果 k=nums.size(),就是找最大数
- AI
- AI计算机专业的话,现在很多文章的数学推导可能都是 AI 生成的了(2024 年前的文章中的推导的含金量应该还是挺高的),如果想深究的话,你也可以用魔法对抗魔法,让 AI 帮你看看是怎么个事儿。 推荐先读你研究方向中比较有代表性的论文,从开山之作起,按照时间顺序来,代表性论文细读下来收获一般来说是有不少的。你会逐渐清楚这个领域在做些什么,有哪些方向。 关于怎么找这些代表作,一个很简单的方法就是去找综述
- AI开店的确实有很多是青海人,品控主要还是看每家店的拉面师父了,咱常去的那一家拉面拉的还挺细的
- AI赶用户的目的就达到了,至于模型性能究竟如何,有没有低价渠道,就等模型检查点开放吧,到时候应该有第三方自部署。
- AI缓存命中部分还是便宜的要命,flash 的变化也还可以接受。 别踩一捧一了,我就不信谁是一个模型用到底的,难道不是权衡待执行的任务适合哪个模型来就用哪个吗。
- AI比较常规的哈希表 + 滑动窗口题。``` class Solution { public: int maxSubarrayLength(vector<int>& nums, int k) { // 找的是连续非空子序列,且涉及计数,应该是滑动窗口+哈希表 unordered_map<int,int> cnts; int l=0,r=0; int n=nums.size(); int res=0;
- AI模拟 + 哈希表。看清楚题,注意是找的前缀。咱最开始做成找符合要求的连续子序列了…``` class Solution { public: int missingInteger(vector<int>& nums) { // 先找到**最长**顺序前缀并求和 // 看清楚题了,说的是**前缀**而不是连续子序列 int sqSum=nums[0]; bool confirmed=false; bo
- AI佩服佬友的毅力,这题难度真的挺高的。 咱就选道中等题做了: 3810. 变成目标数组的最少操作次数 - 力扣(LeetCode)``` func minOperations(nums []int, target []int) int { // 只需要关注那些和 target 还不相等的位置 // 因为题目中的操作就是把 nums 相应段设置成 target,相等部分就可以不用管了 // 最终操作次